Package org.opencv.tracking

## Class TrackerTLD

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.Tracker
    - - org.opencv.tracking.TrackerTLD

-     public class TrackerTLD
      extends Tracker

  the TLD (Tracking, learning and detection) tracker TLD is a novel tracking framework that explicitly decomposes the long-term tracking task into tracking, learning and detection. The tracker follows the object from frame to frame. The detector localizes all appearances that have been observed so far and corrects the tracker if necessary. The learning estimates detector's errors and updates it to avoid these errors in the future. The implementation is based on CITE: TLD . The Median Flow algorithm (see cv::TrackerMedianFlow) was chosen as a tracking component in this implementation, following authors. The tracker is supposed to be able to handle rapid motions, partial occlusions, object absence etc.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TrackerTLD​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TrackerTLD` | `__fromPtr__​(long addr)` |
    `static TrackerTLD` | `create()` | Constructor
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.tracking.Tracker

      `init, update`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackerTLD

          protected TrackerTLD​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TrackerTLD __fromPtr__​(long addr)

    - #### create

          public static TrackerTLD create()

      Constructor
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Tracker`
      Throws:
        `java.lang.Throwable`